%define name rpc2
%define release 2mdk
%define version 1.8
%define major 1

Summary: RPC2 library
Name: %{name}
Version: %{version}
Release: %{release}
Source: rpc2-%{version}.tar.bz2
Copyright: LGPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Group: Development/Other
Provides: lib%{name}%{major}

%description
The RPC2 library.

%package -n lib%{name}%{major}
Summary: RPC2 library development files
Group: Development/Other
Obsoletes: %{name}

%description -n lib%{name}%{major}
The RPC2 library.

%package -n lib%{name}%{major}-devel
Summary: RPC2 library development files
Group: Development/Other
Requires: lib%{name}%{major} >= %{version}
Obsoletes: %{name}-devel

%description -n lib%{name}%{major}-devel
Headers and static libraries for developing programs using the RPC2 library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
%makeinstall
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libfail.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librpc2.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libse.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files 
%defattr(-,root,root)
%{_bindir}/filcon

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/libfail.so.*
%{_libdir}/librpc2.so.*
%{_libdir}/libse.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_bindir}/rp2gen
%{_libdir}/libfail.a
%{_libdir}/libfail.la
%{_libdir}/libfail.so
%{_libdir}/librpc2.a
%{_libdir}/librpc2.la
%{_libdir}/librpc2.so
%{_libdir}/libse.a
%{_libdir}/libse.la
%{_libdir}/libse.so
%dir %{_includedir}/rpc2
%{_includedir}/rpc2/errors.h
%{_includedir}/rpc2/errorsdefs.h
%{_includedir}/rpc2/fail.h
%{_includedir}/rpc2/fcon.h
%{_includedir}/rpc2/multi.h
%{_includedir}/rpc2/rpc2.h
%{_includedir}/rpc2/se.h
%{_includedir}/rpc2/sftp.h

%changelog
* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-2mdk
- rebuild

* Thu Nov 16 2000 Florin Grad <florin@mandrakesoft.com> 1.8-1mdk
- 1.8
- lib split compliant
* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5-3mdk
- BM
- macros
* Thu Aug 31 2000 Florin Grad <florin@mandrakesoft.com> 1.5-2mdk
- adding macros
* Fri Jul 7 2000 Florin Grad <florin@mandrakesoft.com> 1.5-1mdk
- First attempt.
